/*
 * ils.h - data structures for records from ils data file
 *
 * Adapted from "readme.ils" file obtained from NFDC
 *
 * Copyright (C) 1998, John C. Peterson <mailto:jaypee@netcom.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License,
 * version 2. A copy is included in this distribution in the file
 * named "LICENSE".
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License, version 2, for more details.
 *
 * $Id: ils.h,v 1.1 1998/04/27 06:08:35 jcp Exp $
 *
 */

typedef struct {

char *airport_id;	/* 3-letter */
char *runway_end_id;
char *ils_system_type;
char *info_date;
char *airport_name;
char *city;
char *state;
char *region;
char *runway_length_feet;
char *runway_width_feet;
char *ils_approach_bearing;
char *mag_variation_at_ils_facility;

char *localizer_frequency;
char *localizer_latitude;
char *localizer_latitude_sec;
char *localizer_longitude;
char *localizer_longitude_sec;
char *localizer_course_width_deg;	/* degrees and hundredths */
char *localizer_distance_from_stop_end_feet;	/* < 0 for inboard loc */
char *localizer_distance_from_approach_end_feet;	/* < 0 for inboard loc */

char *gs_class;
char *gs_angle_in_degrees;
char *gs_transmission_frequency;
char *gs_latitude_of_transmitter_antenna;
char *gs_latitude_of_transmitter_antenna_sec;
char *gs_longitude_of_transmitter_antenna;
char *gs_longitude_of_transmitter_antenna_sec;
char *gs_antenna_distance_from_approach_end_feet;
char *gs_elevation_of_rwy_at_point_adjacent_to_gs_antenna;

char *im_type;
char *im_latitude;
char *im_latitude_sec;
char *im_longitude;
char *im_longitude_sec;
char *im_distance_to_approach_end_feet;

char *mm_type;
char *mm_location_id;
char *mm_name;
char *mm_transmission_frequency;
char *mm_latitude;
char *mm_latitude_sec;
char *mm_longitude;
char *mm_longitude_sec;
char *mm_distance_from_approach_end_feet;

char *om_type;
char *om_location_id;
char *om_name;
char *om_transmission_frequency;
char *om_latitude;
char *om_latitude_sec;
char *om_longitude;
char *om_longitude_sec;
char *om_distance_from_approach_end_feet;
char *om_availibility_of_back_course_marker;

char *dme_channel_for_distance_data;
char *dme_transponder_antenna_latitude;
char *dme_transponder_antenna_latitude_sec;
char *dme_transponder_antenna_longitude;
char *dme_transponder_antenna_longitude_sec;
char *dme_distance_from_approach_end_feet;
char *dme_distance_from_stop_end_feet;

} ils_t;
